$(function (){
    var type = getQueryString('type');
    var query_date = '';
    var log_list = [];
    var total = 0;
    var limit = 0;

    function setHtml(item){
        var log = '<div class="payment-log-item">\n' +
            '            <div class="log-item-left">\n' +
            '                <p class="log-item-title">'+item.desc+'</p>\n' +
            '                <p class="log-item-time">'+item.create_time+'</p>\n' +
            '            </div>';
        if(item.the === 0){
            log +=  '            <div class="log-item-right">+'+item.value+'</div>'
        }else if(item.the === 1){
            log +=  '            <div class="log-item-right">-'+item.value+'</div>'
        }
        log += '        </div>';
        return log;
    }


    $(window).scroll(function () {
        var scrollTop = $(this).scrollTop();
        var scrollHeight = $(document).height();
        var windowHeight = $(this).height();
        if ((scrollTop + windowHeight) + 1 == scrollHeight) {
            limit += 10;
            getPaymentLog(query_date);
        }
    });

    function getPaymentLog(date){
        GET_API.apiPaymentLog({date: date, limit: limit}, type).then(res => {
            var html = "";
            var total = type === 'exp' || type === 'fen' ? res.in_total : type === 'icon' ? res.out_total : '0.00'
            $(".value-total").html(total);
            log_list = res.rows.data || [];
            if(log_list.length > 0){
                log_list.forEach(item => {
                    html += setHtml(item);
                })
            }else{

            }
            $(".payment-log-list").html(html);
        })
    }
    function initFilterDate(date){
        var year = [];
        var month = [];
        var now_date = new Date()
        var now_year = now_date.getFullYear();
        var now_month = now_date.getMonth()+1;
        var month_index = 0;
        var year_index = 0;
        query_date = now_year+"年"+now_month+"月";
        $("#trigger1").text(query_date);
        getPaymentLog(query_date);
        for(let i = 1970; i <= now_year; i++){
            year.push(i);
        }
        for(let i = 1; i <= 12; i++){
            if(i === now_month){
                month_index = i-1;
            }
            i = i < 10 ? '0'+i : i;
            month.push(i);
        }
        year.forEach((item, index) => {
            if(item === now_year){
                year_index = index;
            }
        })
        new PickerExtend({
            trigger: '#trigger1',
            wheels: [
                {data: year},
                {data: month}
            ],
            position: [year_index, month_index],
            callback: function (indexArr, data) {
                query_date = data[0]+'年'+data[1]+'月'
                $("#trigger1").text(query_date);
                getPaymentLog(query_date);
            }
        })
    }
    initFilterDate();
})