$(function () {
    var limit = 10;
    var total = 0;
    var list = [];

    function courseLearnGet() {
        GET_API.courseLearnLog({limit: limit}).then(res => {
            var html = "";
            list = res.data;
            total = res.total;
            if (list.length > 0) {
                list.forEach(item => {
                    html += setHtml(item);
                })
            } else {
                html = '<div class="no-data"><img class="no-data-img" src="/static/images/no_history.png" alt="">\n                        </div>'
            }
            $(".history").append(html);
        })
    }

    function setHtml(item) {
        var duration = getPercent(item.use_duration,item.duration);
        var html = '<div class="history-item">\n' +
            '        <div class="history-item-let">\n' +
            '            <img class="history-video-image" src="'+item.image+'">\n' +
            '            <div class="speed-box">\n' +
            '                <div class="speed-content" style="width: '+duration+'px;"></div>\n' +
            '            </div>\n' +
            '        </div>\n' +
            '        <div class="history-item-right">\n' +
            '            <p class="history-video-title">'+item.title+'</p>\n' +
            '            <p class="history-video-speed">观看至'+duration+'%</p>\n' +
            '        </div>\n' +
            '    </div>';
        return html;
    }

    function getPercent(curNum, totalNum) {
        curNum = parseFloat(curNum);
        totalNum = parseFloat(totalNum);
        if (isNaN(curNum) || isNaN(totalNum)) {
            return '-';
        }
        return totalNum <= 0 ? 0 : (Math.round(curNum / totalNum * 10000) / 100.00);
    }

    $(window).scroll(function(){
        var scrollTop = $(this).scrollTop();
        var scrollHeight = $(document).height();
        var windowHeight = $(this).height();
        console.log('scrollHeight==',scrollHeight);
        console.log('scrollTop + windowHeight==',scrollTop + windowHeight+1);
        if((scrollTop + windowHeight)+1 == scrollHeight){
            if(list.length < total){
                limit += 10;
                courseLearnGet();
            }
        }
    });

    courseLearnGet();
})