var toastPlugin = {
    /*
    * msg: 内容
    * icon: success成功 error错误
    * */
    add: function (msg, icon) {
        var $_toastBox = $('.popup');
        if ($_toastBox.length > 0) {
            var $_toastTxt = $_toastBox.find('.toastTxt');
            $_toastTxt.text(msg);
            clearTimeout(this.timer);
            clearTimeout(this.timer2);
        } else {
            var html = '<div class="popup">'
            if(icon){
                icon = icon === "success" ? 'icon-chenggong' : 'icon-guanbi'
                html += '<span class="iconfont '+icon+'"></span>';
            }
            html +=  '<span class="toastTxt">'+msg+'</span></div>';
            $('body').append(html);
        }
        this.remove();
    },
    remove: function () {
        var $_toastBox = $('.popup');
        this.timer = setTimeout(function () {
            $_toastBox.animate({
                'opacity': '0'
            });
            this.timer2 = setTimeout(function () {
                $_toastBox.remove();
            }, 200);
        }, 1800);
    },
    timer: null,
    timer2: null
};

var loadingPlugin = {
    add: function () {
        var $_loadingPlugin = $('#loadingPlugin');
        if ($_loadingPlugin.size() === 0) {
            var html = this.tpl();
            $('body').append(html);
        }
    },
    tpl: function () {
        var html = '<div id="loadingPlugin">' +
            '<div class="loading">' +
            '<img src="../static/images/loading.png">' +
            '</div>' +
            '</div>';
        return html;
    },
    remove: function () {
        var $_loadingPlugin = $('#loadingPlugin');
        $_loadingPlugin.css({
            'opacity': '0'
        });
        setTimeout(function () {
            $_loadingPlugin.remove();
        }, 200);
    }
};

var loadMorePlugin = function (func, $_dom) {
    $_dom = $_dom || $('body');
    var loadMoreKey = {
        val: true,
        tips: '正在加载更多',
        showTips() {
            var html = '<p id="loadMoreTxt" style="display: flex;height: 0.9rem;font-size: 12px;justify-content: center;align-items: center;color: #CCCCCC"><span>正在加载更多</span></p>';
            $_dom.append(html);
        },
        removeTips() {
            $('#loadMoreTxt').remove();
        },
        changeTxt(str) {
            str = str || '';
            $('#loadMoreTxt').find('span').text(str);
        }
    };
    $(window).scroll(function () {
        var scrollTop = $(this).scrollTop();    //滚动条距离顶部的高度
        var scrollHeight = $(document).height();   //当前页面的总高度
        var clientHeight = $(this).height();    //当前可视的页面高度


        if (scrollTop + clientHeight >= scrollHeight && loadMoreKey.val === true) {   //距离顶部+当前高度 >=文档总高度 即代表滑动到底部
            //滚动条到达底部
            loadMoreKey.val = false;
            loadMoreKey.showTips();
            $(this).scrollTop(scrollTop - 10);
            func(loadMoreKey);
        }
    });
};

function getQueryString(name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
    var r = window.location.search.substr(1).match(reg);
    if (r != null) return unescape(r[2]);
    return null;
}

//用于生成uuid
function guid() {
    var s = [];
    var hexDigits = "abcdefABCDEF";
    for (var i = 0; i < 36; i++) {
        s[i] = hexDigits.substr(Math.floor(Math.random() * 0x10), 1);
    }
    var uuid = s.join("");
    return uuid;
}

/** ---------
 * view 对应原生页面:
 * cusService: 客服
 * login: 登录
 * moreWorld: 更多世界墙
 * member: 对应用户主页
 * task: 任务墙
 * redDetails: 红包详情
 * comment: 评论朋友圈
 */
// function backAppFunc(par) {
//     device = getQueryString('device');
//     par = par || {};
//     var basePar = {
//         opentype: 0 // 0前进 1重定向 2后退 3刷新
//     };
//
//     par = $.extend(true, basePar, par);
//
//     var str = JSON.stringify(par);
//
//     if (device === '2') {
//         window.android.intent(str);
//     } else if (device === '1') {
//         window.webkit.messageHandlers.intent.postMessage(str);
//     }
// }

/** ---------
 * 调用原生事件
 * type值 :
 * img: 选择图片
 * date: 日期选择框
 * popup: 选择框
 * showImage: 看大图
 * rechargePut: 充值
 * toInvitation: 邀请
 * getStorage: 邀请
 * rechargeBox: 充值框
 */
// function app_event(par) {
//     device = getQueryString('device');
//
//     var uuid = guid();
//     par.uuid = uuid;
//
//     var promise = new Promise(function (resolve, reject) {
//         window[uuid] = {
//             resolve: resolve,
//             reject: reject
//         }
//     });
//
//     var str = JSON.stringify(par);
//     if (device === '2') {
//         window.android.app_event(str);
//     } else if (device === '1') {
//         window.webkit.messageHandlers.app_event.postMessage(str);
//     }
//
//     return promise;
// }