$(function () {
    var state = 0;
    var limit = 10;
    var total = 0;
    var coupon_list = [];
    $(".nav ul li").on("click", function () {
        var _this = $(this);
        _this.addClass("current").siblings().removeClass("current");
        if (_this.index() === state) return;
        limit = 10;
        state = _this.index();
        couponGet();
    })

    function setHtml(item) {
        var html = '<div class="coupon-item">\n' +
            '            <div class="left">\n' +
            '                <span class="blue">'+item.value+'甲子币</span>\n' +
            '                <span class="gray">满'+item.expect_value+'减'+item.value+'</span>'
            if(item.state > 0){
                html += '<button class="state_1">' +
                    item.state === 1 ? "已使用" : "已失效"
                    '</button>'
            }else{
                html += '<button>可使用</button>'
            }

            html += '            </div>\n' +
            '            <div class="right">\n' +
            '                <h3>'+item.title+'</h3>\n' +
            '                <span>'+item.desc+'</span>\n' +
            '                <span>[有效期'+item.start_date+'至'+item.end_date+']</span>\n' +
            '            </div>\n' +
            '        </div>';
            return html;
    }

    $(window).scroll(function () {
        var scrollTop = $(this).scrollTop();
        var scrollHeight = $(document).height();
        var windowHeight = $(this).height();
        if ((scrollTop + windowHeight) + 1 == scrollHeight) {
            limit += 10;
            couponGet();
        }
    });

    function couponGet() {
        GET_API.apiCouponGet({state: state, limit: limit}).then(res => {
            var html = "";
            coupon_list = res.data || [];
            total = res.total;
            if(coupon_list.length > total) return;
            if (coupon_list.length > 0) {
                coupon_list.forEach(item => {
                    html += setHtml(item);
                })
            } else {
                html = '<div class="no-data"><img style="width: 300px;" class="no-data-img" src="/static/images/no_coupon.png" alt=""></div>'
            }
            $(".coupon-list").html(html);
        })
    }

    couponGet();
});