$(function (){
    var note_list = [];
    var note_id = 0;
    var note_index = 0
    var cancelBtn = $("#cancelBtn");
    var deleteBtn = $("#deleteBtn");

    function setHtml(item){
        var note = '        <div class="note-item">\n' +
            '            <div class="note-item-top">\n' +
            '                <div class="note-item-title">笔记来自'+item.course_log_title+'</div>\n' +
            '                <div class="note-item-delete" data-id="'+item.id+'">删除笔记</div>\n' +
            '            </div>\n' +
            '            <div class="note-item-info">'+item.note+'</div>\n' +
            '            <div class="note-abstract-box">\n' +
            '                <div class="note-abstract-title">摘要</div>\n' +
            '                <div class="note-abstract-info">'+item.quote+'</div>\n' +
            '                <div class="note-course-box">\n' +
            '                    <img class="note-course-image" src="'+item.course_log_image+'" alt="">\n' +
            '                    <div class="note-course-right">\n' +
            '                        <p class="note-course-title">'+item.course_title+'</p>\n' +
            '                        <p class="note-course-qty">'+item.course_log_title+'</p>\n' +
            '                    </div>\n' +
            '                </div>\n' +
            '            </div>\n' +
            '        </div>\n';
        return note;
    }

    function deleteNoteFun(){
        var that = $(this);
        note_id = that.data('id');
        note_index = that.index();
        $(".mantle-box").css("display", "block");
    }

    cancelBtn.on("click", function (){
        $(".mantle-box").css("display", "none");
    })
    deleteBtn.on("click", function (){
        GET_API.apiCourseNoteDel({id: note_id}).then(res => {
            toastPlugin.add("删除成功", 'success');
            $(".mantle-box").css("display", "none");
            getData();
        })
    })

    function getData(){
        GET_API.apiCourseNoteGet().then(res => {
            var html = "";
            note_list = res.data || [];
            if(note_list.length > 0){
                note_list.forEach(item => {
                    html += setHtml(item);
                })
            }else{
                html = '<div class="no-data"><img class="no-data-img" src="/static/images/no_note.png" alt=""></div>'
            }
            $(".note-list").html(html);
            $(".note-item-delete").on("click", deleteNoteFun);
        })
    }
    getData();
})