$(function () {
    var img_url = "http://qklu3l1a1.hn-bkt.clouddn.com";
    var member = {};
    var level_list = [];
    var now_level = 0;
    var task_names = [];
    var power_list = [];
    var $swiper = $(".swiper-wrapper");
    var $power_qty = $(".power-qty");
    var $vipPowerDetail = $(".vip-power-detail");

    function setVipBanner(data) {
        var banner = "";
        now_level = data[0].id;
        level_list = data;
        data.forEach(item => {
            banner += '<div class="swiper-slide" style="background-image: url('+img_url + item.icon+');">'

            if (member.level_id > 0) {
                if (item.id === member.level_id) {
                    banner += '<div class="vip-level-state active">当前</div>';
                } else if (member.level_id < item.id) {
                    banner += '<div class="vip-level-state">未解锁</div>';
                }
            } else {
                banner += '<div class="vip-level-state">未解锁</div>';
            }

            banner += '<div class="vip-top-title">\n' +
                '                        <h2 class="vip-top-level v1-tc">'+item.level_name+'</h2>\n' +
                '                        <p class="vip-top-experience-val v1-tc">需要经验值'+item.exp+'</p>\n' +
                '                    </div>\n' +
                '                    <div class="vip-top-experience-box">\n' +
                '                        <p class="vip-top-experience-box-text v1-tc">还需要<span class="experience-val">'+(item.exp - member.exp)+'</span>点经验值升级'+item.level_name+'</p>\n' +
                '                        <div class="vip-top-experience-speed">\n' +
                '                            <div class="vip-experience-speed">\n' +
                '                                <div class="speed-box-val v1-bc" style="width: '+getPercent(member.exp, item.exp)+'%"></div>\n' +
                '                            </div>\n' +
                '                            \n' +
                '                            <div class="vip-top-need v1-tc">\n' +
                '                                <span class="now-need">'+member.exp+'</span>\n' +
                '                                <span>经验</span>\n' +
                '                            </div>\n' +
                '                        </div>\n' +
                '                    </div>\n' +
                '                </div>';
        })
        $swiper.html(banner);
        initSwiper();
    }

    function setPrivilegeHtml(data) {
        var list = data || [];
        var privilege = "";
        var power_qty = 0;
        list.forEach(item => {
            if(now_level === item.level_id){
                power_qty++;
            }
            privilege += '<div class="power-item">\n' +
                '                        <img class="power-icon" src="'+img_url + item.icon+'" alt="">\n' +
                '                        <p class="power-item-title">专享蓝光</p>';

            if (member.level_id >= item.level_id) {
                if (member.level_id < item.level_id) {
                    privilege += '<p class="power-item-level">'+item.level_name+'解锁</p>';
                }
            } else {
                privilege += '<p class="power-item-level">'+item.level_name+'解锁</p>'
            }
            privilege += '</div>';
        })
        $power_qty.html(power_qty);
        $vipPowerDetail.html(privilege);

    }

    function setTaskHtml(data) {
        var $btn = $("#dailyTask .task-item");
        data.forEach((item, index) => {
            if (item.task_name === "share_article") {
                $(".desc-need-qty").text(item.fen);
                $(".desc-need-total").text(item.fen * item.total);
            }
            var task_title = "";
            $btn.eq(index).find(".task-success-val").html(item.qty);
            $btn.eq(index).find(".task-success-total").html(item.total);
            if (item.exp > 0) {
                task_title += item.exp + "经验值 "
            }
            if (item.fen > 0) {
                task_title += item.fen + "积分 "
            }
            if (item.icon > 0) {
                task_title += item.icon + "甲子币 "
            }
            if (task_title === "") {
                task_title = "经验值/积分/甲子币";
            }
            $btn.eq(index).find(".task-item-title").html(task_title);
            if (item.status === 1) {
                $btn.eq(index).append('<div class="task-item-btn state_1" data-name="' + item.task_name + '">已领取</div>')
            } else if (item.status === 0) {
                if (item.qty >= item.total) {
                    $btn.eq(index).append('<div class="task-item-btn" data-name="' + item.task_name + '">领取</div>')
                } else {
                    $btn.eq(index).append('<div class="task-item-btn" data-name="' + item.task_name + '">去完成</div>')
                }
            }
        })

        $("#dailyTask .task-item-btn").on("click", dailyFun)
    }

    function setTaskChallenge(data) {
        var list = Object.values(data);
        var keys = Object.keys(data);
        var challenge = "";
        var $btn = $("#taskChallenge .task-item");
        list.forEach((item, index) => {
            var task_title = "";
            if (item.exp > 0) {
                task_title += item.exp + "经验值 "
            }
            if (item.fen > 0) {
                task_title += item.fen + "积分 "
            }
            if (item.icon > 0) {
                task_title += item.icon + "甲子币 "
            }
            if (task_title === "") {
                task_title = "经验值/积分/甲子币";
            }
            $btn.eq(index).find(".task-item-title").html(task_title);
            if (item.status === 1) {
                $btn.eq(index).append('<div class="task-item-btn state_1" data-name="' + keys[index] + '">已领取</div>')
            } else if (item.status === 0) {
                if (item.qty >= item.total) {
                    $btn.eq(index).append('<div class="task-item-btn" data-name="' + keys[index] + '">领取</div>')
                } else {
                    $btn.eq(index).append('<div class="task-item-btn" data-name="' + keys[index] + '">去完成</div>')
                }
            }
        })
        $("#taskChallenge .task-item-btn").on("click", ChallengeFun)
    }

    var ChallengeFun = function () {
        var $this = $(this);
        var name = $this.data('name');
        console.log(name);
    }
    var dailyFun = function () {
        var $this = $(this);
        var name = $this.data('name');
        console.log(name);
    }


    function initSwiper() {
        var swiper = new Swiper('.swiper-container', {
            centeredSlides: true,
            spaceBetween: 20,
            slidesPerView: 'auto',
            on: {
                slideChangeTransitionEnd: function () {
                    var data = level_list[this.activeIndex];
                    now_level = data.id;
                    var qty = 0;
                    $('.vip-power-top-title').html(`${data.level_name}等级权限`);
                    $('.vip-power-tips-level').html(`${data.level_name}`);
                    var $btn = $("#dailyTask .task-item");
                    task_names.forEach((item, index) => {
                        var task_title = "";
                        if (data[item + '_exp'] > 0) {
                            task_title += data[item + '_exp'] + "经验值 "
                        }
                        if (data[item + '_fen'] > 0) {
                            task_title += data[item + '_fen'] + "积分 "
                        }
                        if (data[item + '_icon'] > 0) {
                            task_title += data[item + '_icon'] + "甲子币 "
                        }
                        if (task_title === "") {
                            task_title = "经验值/积分/甲子币";
                        }
                        $btn.eq(index).find(".task-item-title").html(task_title);
                    })
                    power_list.forEach(item => {
                        if(now_level === item.level_id){
                            qty++;
                        }
                    })
                    $power_qty.html(qty);
                },
            },
        })
        if(swiper){
            $(".swiper-slide:nth-child(2n)").css("width", "90%")
        }
    }

    function getPercent(curNum, totalNum) {
        curNum = parseFloat(curNum);
        totalNum = parseFloat(totalNum);
        if (isNaN(curNum) || isNaN(totalNum)) {
            return '-';
        }
        return totalNum <= 0 ? 0 : (Math.round(curNum / totalNum * 10000) / 100.00);
    }

    function memberGet() {
        GET_API.apiMemberIndex().then(res => {
            member = res.member;
            task_names = res.task_names;
            power_list = res.privilege_list;
            setVipBanner(res.member_level_list);
            setPrivilegeHtml(res.privilege_list);
            setTaskHtml(res.task_day);
            setTaskChallenge(res.task_one);
        })
    }

    memberGet();
})